package cn.reghao.tnb.file.app.zoss.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.file.app.zoss.model.po.StoreNode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author reghao
 * @date 2025-10-16 14:12:42
 */
@Mapper
public interface StoreNodeMapper extends BaseMapper<StoreNode> {
    StoreNode findByNodeAddrAndHttpPort(@Param("nodeAddr") String nodeAddr, @Param("httpPort") int httpPort);
    StoreNode findById(int id);
    StoreNode findFirstStore();
}
